- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_Task;'
    name: 'Task'
    index: 2993
    abstract: yes
    relationships:
    - instance: '&IDR_Task__related_action_for__Instance;'
      customTagName: relatedActionForInstanceId

# BUIR - Build UI Response Method.uses Executable returning Element
# the BUIR is referenced via a Build Response Method Binding [BRMB] on the CT
# the CT is in turn referenced by the Task

  - relationship: '&IDR_Task__has_initiating__Element;'
    index: 89
    sourceClassId: '&IDC_Task;'
    type: 'has initiating'
    destinationClassId: '&IDC_Element;'
    siblingRelationshipId: '&IDR_Element__initiates_for__Task;'
    singular: yes

  - relationship: '&IDR_Element__initiates_for__Task;'
    index: 90
    sourceClassId: '&IDC_Element;'
    type: 'initiates for'
    destinationClassId: '&IDC_Task;'
    siblingRelationshipId: '&IDR_Task__has_initiating__Element;'
    singular: no
